Bug 50779 - qemu: Multiple issues (4.4)
qemu: Multiple issues (4.4)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.4
All Linux
: P3 normal (vote)
: UCS 4.4-3-errata
Assigned To: Quality Assurance
Philipp Hahn
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-02-05 07:47 CET by Quality Assurance
Modified: 2020-02-05 17:41 CET (History)
0 users

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted after Product Owner Review:
Ticket number:
Bug group (optional):
Max CVSS v3 score: 7.0 (CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:C/C:L/I:L/A:H)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Quality Assurance univentionstaff 2020-02-05 07:47:45 CET
New Debian qemu 1:2.8+dfsg-6+deb9u9A~4.4.3.202002050747 fixes:
This update addresses the following issues:
* Slirp: use-after-free during packet reassembly (CVE-2019-15890)
* slirp: OOB buffer access while emulating tcp protocols in tcp_emu()  (CVE-2020-7039)
Comment 1 Quality Assurance univentionstaff 2020-02-05 09:00:15 CET
--- mirror/ftp/4.4/unmaintained/4.4-2/source/qemu_2.8+dfsg-6+deb9u8A~4.4.1.201908270838.dsc
+++ apt/ucs_4.4-0-errata4.4-3/source/qemu_2.8+dfsg-6+deb9u9A~4.4.3.202002050747.dsc
@@ -1,4 +1,4 @@
-1:2.8+dfsg-6+deb9u8A~4.4.1.201908270838 [Tue, 27 Aug 2019 08:38:43 +0200] Univention builddaemon <buildd@univention.de>:
+1:2.8+dfsg-6+deb9u9A~4.4.3.202002050747 [Wed, 05 Feb 2020 07:48:03 +0100] Univention builddaemon <buildd@univention.de>:
 
   * UCS auto build. The following patches have been applied to the original source package
     0001-Disable-Xen-for-UCS
@@ -12,6 +12,16 @@
     1006-0007-Bug-38877-fix-qemu-kvm-1.1-piix4_pm-incompatibi
     1007-0008-x86-Work-around-SMI-migration-breakages
     1008-0009-migration-ram.c-do-not-set-postcopy_running-in-POSTC
+
+1:2.8+dfsg-6+deb9u9 [Thu, 30 Jan 2020 23:16:06 +0300] Michael Tokarev <mjt@tls.msk.ru>:
+
+  * slirp possible use-after-free in ip_reass(),
+    slirp-ip_reass-fix-use-after-free-CVE-CVE-2019-15890.patch
+    Closes: #939869, CVE-2019-15890
+  * slirp emulation fixes, Closes: CVE-2020-7039
+    tcp_emu-fix-OOB-access-CVE-2020-7039.patch
+    slirp-use-correct-size-while-emulating-commands-CVE-2020-7039.patch
+    slirp-use-correct-size-while-emulating-IRC-commands-CVE-2020-7039.patch
 
 1:2.8+dfsg-6+deb9u8 [Fri, 09 Aug 2019 13:41:43 +0300] Michael Tokarev <mjt@tls.msk.ru>:
 

<http://10.200.17.11/4.4-3/#3695246541750356715>
Comment 2 Philipp Hahn univentionstaff 2020-02-05 12:47:59 CET
OK: yaml
OK: announce_errata
OK: patch
OK: piuparts

[4.4-3] 776fc44087 Bug #50779: qemu 1:2.8+dfsg-6+deb9u9A~4.4.3.202002050747
 doc/errata/staging/qemu.yaml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

[4.4-3] ed02f35515 Bug #50779: qemu 1:2.8+dfsg-6+deb9u9A~4.4.3.202002050747
 doc/errata/staging/qemu.yaml | 15 +++++++++++++++
 1 file changed, 15 insertions(+)
Comment 3 Philipp Hahn univentionstaff 2020-02-05 12:55:33 CET
Check patches
Comment 4 Erik Damrose univentionstaff 2020-02-05 17:41:17 CET
<http://errata.software-univention.de/ucs/4.4/434.html>